Create a new share resource
POST/accounts/{account_id}/shares/{share_id}/resources
Adds a resource to an existing share, making it available to share recipients.
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Body ParametersJSON
Create a new share resource
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/shares/$SHARE_ID/resources \
-H 'Content-Type: application/json' \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY" \
-d '{
"meta": {},
"resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_type": "custom-ruleset"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"created": "2023-09-21T18:56:32.624632Z",
"meta": {},
"modified": "2023-09-21T18:56:32.624632Z",
"resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_type": "custom-ruleset",
"resource_version": 0,
"status": "active"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"created": "2023-09-21T18:56:32.624632Z",
"meta": {},
"modified": "2023-09-21T18:56:32.624632Z",
"resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
"resource_type": "custom-ruleset",
"resource_version": 0,
"status": "active"
}
}